package dev.micle.geologistpicktweaks;

import com.mojang.logging.LogUtils;
import dev.micle.geologistpicktweaks.proxy.IProxy;
import dev.micle.geologistpicktweaks.proxy.Proxy;
import net.minecraftforge.fml.DistExecutor;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.javafmlmod.FMLJavaModLoadingContext;
import org.slf4j.Logger;

@Mod(GeologistPickTweaks.MOD_ID)
public class GeologistPickTweaks {
    public static final String MOD_ID = "geologist_pick_tweaks";
    public static final Logger LOGGER = LogUtils.getLogger();
    private static FMLJavaModLoadingContext fmlJavaModLoadingContext;
    private static IProxy proxy;

    public GeologistPickTweaks(FMLJavaModLoadingContext context) {
        fmlJavaModLoadingContext = context;

        proxy = DistExecutor.safeRunForDist(
                () -> Proxy.Client::new,
                () -> Proxy.Server::new
        );
    }

    public static FMLJavaModLoadingContext getFMLJavaModLoadingContext() {
        return fmlJavaModLoadingContext;
    }
}
